@import url('https://fonts.googleapis.com/css2?family=Inter:wght@200;400;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}

main{
    width: 100%;
    min-height: 100vh;
    background: rgb(214,111,244);
    background: linear-gradient(180deg, rgba(214,111,244,1) 0%, rgba(188,121,245,1) 15%, rgba(155,133,250,1) 31%, rgba(112,149,253,1) 50%, rgba(102,152,254,1) 69%, rgba(57,75,113,1) 85%, rgba(45,45,60,1) 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
}

.card{
    max-width: 500px;
    min-width: 200px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-cover {
    width: 70%;
    padding-bottom: 1rem;
}

.card-cover img{
    width: 100%;
    height: 100%;
    box-shadow: 5px 5px 15px #1f1f1f8c;
}

.card-name{
    color: white;
    font-weight: 700;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 90%;
    padding-bottom: 1rem;
}

.card-controls{
    width: 100%;
    display: flex;
    justify-content: space-around;
    padding-bottom: 2rem;
}

.card-controls button{
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(255, 255, 255, 0.612);
    border: none;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 3px 3px 15px #ffffff35;
    transition: background 300ms ease;
}

.card-controls button:hover{
    background: rgba(206, 206, 206, 0.612);
}

.card-progress_bar{
    width: 100%;
    height: 5px;
    background-color: #ffffff2d;
    border: 3px;
    cursor: pointer;
}

.progress{
    height: 100%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.progress::after{
    content: '';
    display: block;
    height: 13px;
    width: 13px;
    background-color: white;
    border-radius: 50%;
}

.card-time{
    padding-top: .5rem;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.card-time span{
    color: white;
    font-weight: 200;
}